Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1604308 - haproxy: FTBFS in Fedora rawhide
Summary: haproxy: FTBFS in Fedora rawhide
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: haproxy
Version: 29
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ryan O'Hara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F29FTBFS
TreeView+ depends on / blocked
 
Reported: 2018-07-19 22:03 UTC by Mohan Boddu
Modified: 2018-08-17 14:41 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-17 14:41:47 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2018-07-19 22:03 UTC, Mohan Boddu
no flags Details
root.log (deleted)
2018-07-19 22:03 UTC, Mohan Boddu
no flags Details
state.log (deleted)
2018-07-19 22:03 UTC, Mohan Boddu
no flags Details

Description Mohan Boddu 2018-07-19 22:03:10 UTC
haproxy failed to build from source in Fedora rawhide

https://koji.fedoraproject.org/koji/taskinfo?taskID=28187764


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
Please fix haproxy at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
haproxy will be orphaned. Before branching of Fedora 30,
haproxy will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Mohan Boddu 2018-07-19 22:03:18 UTC
Created attachment 1462808 [details]
build.log

Comment 2 Mohan Boddu 2018-07-19 22:03:21 UTC
Created attachment 1462809 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Mohan Boddu 2018-07-19 22:03:25 UTC
Created attachment 1462813 [details]
state.log

Comment 4 Ryan O'Hara 2018-07-30 15:26:21 UTC
I can't figure out what it going on here. The haproxy builds never had any issues detecting the lua library in the past. I tried using the LUA_LIB_NAME option at build time (as suggested) but it also failed. I took a look at both lua-devel and lua-lib packages in F28 and rawhide and they look mostly the same. Library appears to be /usr/lib61/liblua-5.3.so in both case. Also found no recent changes in haproxy makefile that raise an alarm.

Comment 5 Jan Kurik 2018-08-14 09:34:12 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.


Note You need to log in before you can comment on or make changes to this bug.